---
updatedAt: 2026-05-20T16:32:28.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get a Transaction Output by Hash and Index

Get a transaction output by a user-defined transaction hash and the transaction output index.

<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `10` (fixed)
</Callout>

***

> 🚧 Truncation Info
>
> For responses that have big numbers (such as in transfer amounts from blockchain transactions), truncation might be applied from Javascript’s native JSON parser.
>
> To avoid this behavior, we recommend using a library such as [`json-bigint`](https://github.com/sidorares/json-bigint) or [`lossless-json`](https://github.com/josdejong/lossless-json)

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
    width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px;
    overflow-y: scroll;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff;
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5;
  }
  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34;
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66;
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
      <thead>
        <tr>
          <th>Protocol</th>
          <th>Network</th>
          <th>Path Parameter</th>
        </tr>
      </thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>
</tbody>

    </table>
  </div>
</div>

<script>
  function filterTable() {
    const input = document.getElementById('searchProtocolInput').value.toLowerCase();
    const rows = document.querySelectorAll('#protocolTableSearchable tbody tr');
    rows.forEach(row => {
      row.style.display = row.innerText.toLowerCase().includes(input) ? '' : 'none';
    });
  }
</script>

</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Transactions"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/tx/{hash}/{index}": {
      "get": {
        "summary": "Get a Transaction Output by Hash and Index",
        "description": "Get a transaction output by a user-defined transaction hash and the transaction output index.",
        "operationId": "GetTxOutputByHashAndIndex",
        "tags": [
          "Transactions"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "protocol",
            "required": true,
            "description": "Protocol handle, one of: `bitcoin`, `bitcoincash`, `dogecoin`, `litecoin`.\n",
            "schema": {
              "type": "string",
              "default": "bitcoin"
            },
            "examples": {
              "Bitcoin": {
                "value": "bitcoin"
              }
            }
          },
          {
            "$ref": "#/components/parameters/network"
          },
          {
            "$ref": "#/components/parameters/tx-hash"
          },
          {
            "name": "index",
            "in": "path",
            "required": true,
            "description": "The transaction output index.",
            "schema": {
              "type": "integer",
              "default": 0
            },
            "example": 0
          }
        ],
        "responses": {
          "200": {
            "description": "Transaction output.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/tx_output"
                },
                "example": {
                  "status": "mined",
                  "is_spent": true,
                  "spent": {
                    "tx_id": "18e3fac4bd7ba82660c3cc7b892a464de873e93396f0e447958b0f5320d2b322",
                    "date": 1667989493,
                    "block_id": "000000000000000000056843bef110e6b82b36211681ed733f8dd454be374829",
                    "block_number": 762402,
                    "confirmations": 1
                  },
                  "value": 81031,
                  "mined": {
                    "index": 1,
                    "tx_id": "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a",
                    "date": 1667882555,
                    "block_id": "000000000000000000031911bca2ecf6c19ede467d81659f0c43a420ede1fd21",
                    "block_number": 762213,
                    "confirmations": 1
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-found",
              "title": "Not Found",
              "status": 404
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "tx_minify": {
        "type": "object",
        "nullable": true,
        "description": "Transaction",
        "properties": {
          "index": {
            "type": "integer",
            "description": "The output index within a given transaction.",
            "example": 1
          },
          "tx_id": {
            "type": "string",
            "description": "The transaction identifier.",
            "example": "57f7dc46786c5d56d260186d459f1246943dd6e83ca00235909dad1b826f20b4"
          },
          "date": {
            "type": "integer",
            "format": "int64",
            "description": "The Unix timestamp.",
            "example": 1571222657
          },
          "block_id": {
            "type": "string",
            "description": "The ID of block.",
            "example": "0xaf2948aba2ed8cc7d5b7d4e4f4164a7c8819efc94d30aab3fce6904df68dbc07",
            "nullable": true
          },
          "block_number": {
            "type": "integer",
            "format": "int64",
            "description": "The height of block.",
            "example": 77477,
            "nullable": true
          },
          "confirmations": {
            "type": "integer",
            "format": "int64",
            "description": "Total transaction confirmations.",
            "example": 10
          }
        }
      },
      "tx_output": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "The result status of the transaction output.",
            "enum": [
              "mined",
              "unknown"
            ]
          },
          "is_spent": {
            "type": "boolean",
            "description": "If the transaction output was spent or not, if the value is true the `spent` transaction object will be presented.",
            "example": true
          },
          "spent": {
            "$ref": "#/components/schemas/tx_minify"
          },
          "value": {
            "type": "integer",
            "format": "int64",
            "description": "The amount of transaction output.",
            "nullable": true
          },
          "mined": {
            "$ref": "#/components/schemas/tx_minify"
          }
        }
      }
    },
    "parameters": {
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      },
      "tx-hash": {
        "name": "hash",
        "in": "path",
        "required": true,
        "description": "The transaction hash.",
        "schema": {
          "type": "string",
          "default": "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a"
        },
        "examples": {
          "BTC_tx_hash": {
            "value": "71d4f3412ec11128bbd9ce988d5bff2ec3bb6ea3953c8faf189d88ae49de9f7a"
          },
          "ETH_tx_hash": {
            "value": "0x6d550b76008d75d25a735d2d96c640cc13b7a711372557955fbd3b1cad8a78cb"
          }
        }
      }
    }
  }
}
```